Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Problems building 8.7 RPMs on Fedora 9 x86_64

  1. #1
    Join Date
    Dec 2007
    Posts
    17

    Default Problems building 8.7 RPMs on Fedora 9 x86_64

    Hi Everyone,

    I'm trying to build the packages from the 8.7 release on Fedora 9 x86_64 and am running into a bizarre error that I've not run into before from building prior version of the FGLRX driver.

    Here is the output:

    [root@intelc2d 8.7]# sh ../../ati-driver-installer-8-7-x86.x86_64.run --buildpkg Fedora/F9
    Created directory fglrx-install.cyc6Mh
    Verifying archive integrity... All good.
    Uncompressing ATI Proprietary Linux Driver-8.512............................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. ...............................................
    ==================================================
    ATI Technologies Linux Driver Installer/Packager
    ==================================================
    Generating package: Fedora/F9
    mv: cannot stat `/tmp/ATI-fglrx-8.512-1-6957-root/BUILD/ATI-fglrx-8.512/usr/X11R6/lib/modules/dri/*': No such file or directory
    mv: cannot stat `/tmp/ATI-fglrx-8.512-1-6957-root/BUILD/ATI-fglrx-8.512/usr/X11R6/lib/*.so.*': No such file or directory
    Package build failed!
    Package build utility output:
    error: %changelog entries must start with *
    Building target platforms: x86_64
    Building for target x86_64
    Removing temporary directory: fglrx-install.cyc6Mh

    Does anyone have any ideas why this might be happening?

  2. #2
    Join Date
    Jul 2008
    Location
    Germany
    Posts
    681

    Default

    IS FC9 not using a pre release from xserver 1.5 ? because fglrx dont support xserver 1.5

  3. #3
    Join Date
    Oct 2007
    Posts
    14

    Default

    Quote Originally Posted by r0d3nt View Post
    Hi Everyone,

    I'm trying to build the packages from the 8.7 release on Fedora 9 x86_64 and am running into a bizarre error that I've not run into before from building prior version of the FGLRX driver.

    Here is the output:

    [root@intelc2d 8.7]# sh ../../ati-driver-installer-8-7-x86.x86_64.run --buildpkg Fedora/F9
    Created directory fglrx-install.cyc6Mh
    Verifying archive integrity... All good.
    Uncompressing ATI Proprietary Linux Driver-8.512............................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. ...............................................
    ==================================================
    ATI Technologies Linux Driver Installer/Packager
    ==================================================
    Generating package: Fedora/F9
    mv: cannot stat `/tmp/ATI-fglrx-8.512-1-6957-root/BUILD/ATI-fglrx-8.512/usr/X11R6/lib/modules/dri/*': No such file or directory
    mv: cannot stat `/tmp/ATI-fglrx-8.512-1-6957-root/BUILD/ATI-fglrx-8.512/usr/X11R6/lib/*.so.*': No such file or directory
    Package build failed!
    Package build utility output:
    error: %changelog entries must start with *
    Building target platforms: x86_64
    Building for target x86_64
    Removing temporary directory: fglrx-install.cyc6Mh

    Does anyone have any ideas why this might be happening?
    I have similar error building the package for Ubuntu 8.04, this is the output:

    Uncompressing ATI Proprietary Linux Driver-8.512............................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. .................................................. ...............................................
    ==================================================
    ATI Technologies Linux Driver Installer/Packager
    ==================================================
    Generating package: Ubuntu/hardy
    Resolving build dependencies...
    ./packages/Ubuntu/ati-packager.sh: 364: sh -c '/usr/sbin/synaptic --set-selections --non-interactive --hide-main-window < /tmp/fileOvtrNe': not found
    Unable to resolve cdbs. Please manually install and try again.
    Package build failed!
    Package build utility output:
    dpkg-buildpackage: set CPPFLAGS to default value:
    dpkg-buildpackage: set CFLAGS to default value: -g -O2
    dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
    dpkg-buildpackage: set FFLAGS to default value: -g -O2
    dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions
    dpkg-buildpackage: source package fglrx-installer
    dpkg-buildpackage: source version 2:8.512-0ubuntu1
    dpkg-buildpackage: source changed by ATI Technologies Inc. <http://ati.amd.com/support/driver.html>
    debian/rules build
    dpkg-buildpackage: host architecture i386
    debian/rules:6: /usr/share/cdbs/1/rules/debhelper.mk: No such file or directory
    make: *** No rule to make target `/usr/share/cdbs/1/rules/debhelper.mk'. Stop.
    dpkg-buildpackage: failure: debian/rules build gave error exit status 2
    Removing temporary directory: fglrx-install.SY6849

    Any clues???

  4. #4
    Join Date
    Jul 2008
    Location
    Germany
    Posts
    681

    Default

    Dropknee install cdbs
    Unable to resolve cdbs. Please manually install and try again.

  5. #5
    Join Date
    Apr 2007
    Location
    The Netherlands
    Posts
    31

    Default

    error: %changelog entries must start with *
    You need to make sure that the spec file contains a proper changelog.
    This is how a changelog section in a spec file should look like:

    %changelog
    * Tue Jul 22 2008 Foo Bar <foobar@example.org>
    - bugfix release

    Looking at the error I'd say there is an "*" missing in the %changelog section in the spec file. Add the "*" then try again.

  6. #6
    Join Date
    Aug 2007
    Posts
    6,634

    Default

    Until you downgrade the Xserver the driver is useless anyway.

  7. #7
    Join Date
    Dec 2007
    Posts
    17

    Default

    Thanx for the responses everyone. Looks like I'll have to wait until the next release...again...to see if it will work with Fedora 9. At this rate, a compatible driver for Fedora 9 will be out when Fedora 10 is ready to go...

  8. #8
    Join Date
    Oct 2007
    Posts
    14

    Default

    Quote Originally Posted by Nille View Post
    Dropknee install cdbs
    Thanks Nille, install the cdbs do the trick, but is strange, the previous drivers don't need this package, maybe they change the way to build this new drivers.

    Thanks a lot again

    Time to test another hope

  9. #9
    Join Date
    Oct 2007
    Posts
    14

    Default

    Well going back to Catalyst 8.4, this driver still have the Wine bug, the screen corruption. Catalyst 8.4 work great for me and didn't have this bug, I still have problem with Silkroad Online, but WoW play fine, with some minor glitches and I can play movie without flickering, in this driver, 8.7 my video flick with compiz enable, in 8.4 this didn't happen.

    Well good luck with this to all of you out there, another month another deception

  10. #10
    Join Date
    Oct 2007
    Location
    Toronto-ish
    Posts
    7,463

    Default

    Dropknee, I can't think of any changes between 8.4 and 8.7 which would *cause* video flickering under Compiz. Are you sure it's not a case of different Compiz settings, eg you had "don't redirect full screen" enabled when you were running 8.4 ?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •